#version 150

in vec4 vertexColor;

uniform vec4 ColorModulator;

out vec4 fragColor;

void main() {
    vec4 color = vertexColor;
    if (color.a == 0.0) {
        discard;
    }

    /* sodium checkbox colour */
    if(color == vec4(0.5803921568627451, 0.8941176470588236, 0.8274509803921568, 1)){
        color = vec4(0.5373, 0.5765, 0.4, 1);
    }

    /* server/world/resourcepack icon hover */
    if (color.rgb == vec3(0.5647058823529412) && color.a >= 0.605 && color.a >= 0.606) {
        color = vec4(0.8902, 0.9333, 0.7529, 0.4);
    }

    /*inventory hover color*/
    if (color.r == 255/255.0 && color.g == 255/255.0 && color.b == 255/255.0 && color.a == 128/255.0) {
        color = vec4(0.8902, 0.9333, 0.7529, 0.5);
    }

    /* loading screen background */
    if (color.r == 239.0/255.0 && color.g == 50.0/255.0 && color.b == 61.0/255.0) {
        color = vec4(0.2392, 0.2549, 0.2078, 1);
    }

    /* tooltips */
    if (color.r == 16/255.0 && color.g == 0/255.0 && color.b == 16/255.0 ) {
        color = vec4(0.2392, 0.2549, 0.2078, 1);
    }

    if (color.r >= 0.15686 && color.r <= 0.31373 && color.g == 0 && color.b >= 0.49 && color.b <= 1) {
        color = vec4(0.3725, 0.4039, 0.2863, 1);
    }

    fragColor = color * ColorModulator;
}
